cpw.mods.fml.common.network

## Class FMLNetworkEvent.ClientDisconnectionFromServerEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - cpw.mods.fml.common.network.FMLNetworkEvent<INetHandlerPlayClient>
    - - cpw.mods.fml.common.network.FMLNetworkEvent.ClientDisconnectionFromServerEvent

- Enclosing class:
    FMLNetworkEvent<T extends INetHandler>

      public static class FMLNetworkEvent.ClientDisconnectionFromServerEvent
      extends FMLNetworkEvent<INetHandlerPlayClient>

  Fired at the client when the client is disconnected from the server.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.network.FMLNetworkEvent

      `FMLNetworkEvent.ClientConnectedToServerEvent, FMLNetworkEvent.ClientCustomPacketEvent, FMLNetworkEvent.ClientDisconnectionFromServerEvent, FMLNetworkEvent.CustomNetworkEvent, FMLNetworkEvent.CustomPacketEvent<S extends INetHandler>, FMLNetworkEvent.CustomPacketRegistrationEvent<S extends INetHandler>, FMLNetworkEvent.ServerConnectionFromClientEvent, FMLNetworkEvent.ServerCustomPacketEvent, FMLNetworkEvent.ServerDisconnectionFromClientEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.common.network.FMLNetworkEvent

      `handler, manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLNetworkEvent.ClientDisconnectionFromServerEvent(NetworkManager manager)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLNetworkEvent.ClientDisconnectionFromServerEvent

          public FMLNetworkEvent.ClientDisconnectionFromServerEvent(NetworkManager manager)